Ask Your Question
1

notebok server on ubuntu

asked 2014-10-16 11:35:00 -0500

czsan gravatar image

On ubuntu (versions from 12.04 to 14.04) I got the following error, when I started the notebook server with secure=True parameter:

RuntimeError Traceback (most recent call last) <ipython-input-3-3d6cf59ae321> in <module>() ----> 1 notebook(secure=True)

/usr/lib/sagemath/local/lib/python2.7/site-packages/sage/misc/lazy_import.so in sage.misc.lazy_import.LazyImport.__call__ (build/cythonized/sage/misc/lazy_import.c:3000)()

/usr/lib/sagemath/local/lib/python2.7/site-packages/sagenb-0.10.8.2-py2.7.egg/sagenb/notebook/notebook_object.py in __call__(self, args, *kwds) 226 """ 227 def __call__(self, args, *kwds): --> 228 return self.notebook(args, *kwds) 229 230 notebook = run_notebook.notebook_run

/usr/lib/sagemath/local/lib/python2.7/site-packages/sagenb-0.10.8.2-py2.7.egg/sagenb/notebook/run_notebook.py in notebook_run(self, directory, port, interface, port_tries, secure, reset, accounts, openid, server_pool, ulimit, timeout, doc_timeout, upload, automatic_login, start_path, fork, quiet, server, profile, subnets, require_login, open_viewer, address) 475 import OpenSSL 476 except ImportError: --> 477 raise RuntimeError("HTTPS cannot be used without pyOpenSSL" 478 " installed. See the Sage README for more information.") 479

RuntimeError: HTTPS cannot be used without pyOpenSSL installed. See the Sage README for more information.

SOme remarks: First: this server was a live ~6.1* server using secure=True parameter (we used it over https). After some updating of ubuntu it crashed. Second: Since this accident I tried some new versions of Ubuntu and later versions of Sage, but the error remain same. Third: otherwise the program runs - yet the notebook server too (without SSL)

edit retag flag offensive close merge delete

Comments

do you have Sage packages openssl and pyopenssl installed?

Dima gravatar imageDima ( 2014-10-16 15:44:47 -0500 )edit

Yes, they are installed. I found, that this is not ubuntu problem, the effect is same on arch linux.

czsan gravatar imageczsan ( 2014-10-16 16:34:00 -0500 )edit

Do you have certtool installed (on debian it's in the package gnutls-bin)? I tried doing notebook(secure=True) on my system, and it complained about absence of certtool. After installing it it worked.

Dima gravatar imageDima ( 2014-10-17 03:58:33 -0500 )edit

1 answer

Sort by ยป oldest newest most voted
-1

answered 2014-10-17 04:01:28 -0500

Check that you have Sage packages openssl and pyopenssl installed, as well as the certtool (on debian it's in gnutls-bin (deb) package).

It might be that the old SSL certificates for sagenb server you have from previous versions need to be removed.

edit flag offensive delete link more

Comments

I think it is not true; I newly installed arch linux on two machine (Antergos distro), the problem is same.

czsan gravatar imageczsan ( 2014-11-05 05:45:59 -0500 )edit

What is not true? That it's not about old SSL certs? OK, how about the packages I mentioned?

Dima gravatar imageDima ( 2014-11-10 15:23:25 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2014-10-16 11:35:00 -0500

Seen: 536 times

Last updated: Oct 17 '14